System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Enum System.Flags To be added

Provides different methods for preventing derivation.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("#all")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  #all. Refers to all derivation methods.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  Override default derivation method to allow any derivation.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("extension")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  Refers to derivations by Extension.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("list")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  Refers to derivations by List.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  Accepts the default derivation method.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("restriction")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  Refers to derivations by Restriction.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("substitution")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  Refers to derivations by Substitution.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("union")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added

  Refers to derivations by Union.